Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005996Dwarf FortressDwarf Mode -- Transport/Haulingpublic2012-06-08 21:282015-08-31 09:49
ReporterUnHerpers 
Assigned To 
PrioritylowSeverityminorReproducibilityhave not tried
StatusnewResolutionopen 
PlatformOSOS Version
Product Version0.34.11 
Target VersionFixed in Version 
Summary0005996: Minecarts can teleport through walls.
DescriptionWhen a minecart at high speed hits a wall while there is a hole below the minecart it will not hit the wall and instead reappear a few tiles tiles past the wall. If there are more walls where the cart should reappear it will be lodged inside one of them.
Steps To ReproduceFrom the side it looks like this:
\
 \
  \___ #
      ||
Additional InformationSome research was done into it here: http://www.bay12forums.com/smf/index.php?topic=109460.msg3306610#msg3306610 [^]
Tagsminecarts
Attached Files

- Relationships
related to 0005970new Creature goes through solid wall when at high speed 
parent of 0009057new Minecart crash causes contents to teleport through solid rock 
related to 0006068new Minecarts falling onto a floor injure creatures directly below the floor 
related to 0006224new Minecart collisions with creatures sometimes create impassable tiles. 
related to 0007444confirmedFootkerchief Sparring dwarves (and other creatures) can knock each other through walls with charge attacks 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0022951)
UnHerpers (reporter)
2012-06-10 19:31

In trying to get around this problem I found that it only actually seems to work with fortifications. But the thread linked in Additional Information claims it works with walls as well.
(0022952)
Quietust (reporter)
2012-06-10 20:49

What's most likely happening is that the minecart is moving so quickly that a single frame is enough for it to traverse multiple tiles, and it isn't verifying that the tiles between the start and end position are passable.
(0022953)
Rhenaya (reporter)
2012-06-11 00:39

obviously it gets so fast it transcends into a wave form and learn quantum tunneling ... as you cant observe it within that one frame and only at start and end point :x

- Issue History
Date Modified Username Field Change
2012-06-08 21:28 UnHerpers New Issue
2012-06-09 12:33 UnHerpers Tag Attached: minecarts
2012-06-10 19:31 UnHerpers Note Added: 0022951
2012-06-10 20:49 Quietust Note Added: 0022952
2012-06-10 21:15 Footkerchief Relationship added related to 0005970
2012-06-11 00:39 Rhenaya Note Added: 0022953
2013-11-01 08:17 Footkerchief Relationship added related to 0006068
2014-01-25 18:13 Footkerchief Relationship added related to 0006224
2014-01-25 18:13 Footkerchief Tag Attached: Fixed in 0.34.12?
2014-07-07 22:23 Footkerchief Tag Renamed Fixed in 0.34.12? => Fixed in 0.40.01?
2015-08-31 09:48 lethosor Relationship added parent of 0009057
2015-08-31 09:49 lethosor Tag Detached: Fixed in 0.40.01?
2018-04-14 14:33 lethosor Relationship added related to 0007444


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker